Bug 979645 - Meta Data Borked for yum grouplist
Meta Data Borked for yum grouplist
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
19
All Linux
unspecified Severity low
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-28 22:24 EDT by gcarter
Modified: 2013-08-31 23:59 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-31 23:59:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description gcarter 2013-06-28 22:24:10 EDT
Description of problem:

Environment Group list is incorrect.

Version-Release number of selected component (if applicable):

[root@shiva yum.repos.d]# yum --version
3.4.3

How reproducible:

[root@shiva yum.repos.d]# yum update
Loaded plugins: fastestmirror, langpacks, refresh-packagekit
adobe-linux-x86_64                                                                               |  951 B  00:00:00     
fedora/19/x86_64/metalink                                                                        |  14 kB  00:00:00     
fedora                                                                                           | 4.2 kB  00:00:00     
google-talkplugin                                                                                |  951 B  00:00:00     
rpmfusion-free                                                                                   | 3.3 kB  00:00:00     
rpmfusion-free-updates                                                                           | 1.2 kB  00:00:00     
rpmfusion-nonfree                                                                                | 3.3 kB  00:00:00     
rpmfusion-nonfree-updates                                                                        | 1.2 kB  00:00:00     
updates/19/x86_64/metalink                                                                       |  18 kB  00:00:00     
updates                                                                                          | 3.4 kB  00:00:00     
(1/2): updates/19/x86_64/primary_db                                                              | 1.2 kB  00:00:00     
(2/2): fedora/19/x86_64/primary_db                                                               |  17 MB  00:00:16     
(1/6): google-talkplugin/primary                                                                 | 1.5 kB  00:00:00     
(2/6): adobe-linux-x86_64/primary                                                                | 1.2 kB  00:00:00     
(3/6): rpmfusion-free-updates/19/x86_64/primary                                                  |  204 B  00:00:00     
(4/6): rpmfusion-nonfree/19/x86_64/primary_db                                                    | 149 kB  00:00:00     
(5/6): rpmfusion-nonfree-updates/19/x86_64/primary                                               |  204 B  00:00:00     
(6/6): rpmfusion-free/19/x86_64/primary_db                                                       | 459 kB  00:00:00     
Determining fastest mirrors
 * fedora: mirror.steadfast.net
 * rpmfusion-free: mirror.nexcess.net
 * rpmfusion-free-updates: ftp.nluug.nl
 * rpmfusion-nonfree: mirror.nexcess.net
 * rpmfusion-nonfree-updates: ftp.nluug.nl
 * updates: mirrors.servercentral.net
fedora/19/x86_64/group_gz                                                                        | 384 kB  00:00:00     
rpmfusion-free/19/x86_64/group_gz                                                                | 1.6 kB  00:00:00     
rpmfusion-nonfree/19/x86_64/group_gz                                                             |  993 B  00:00:00     
adobe-linux-x86_64                                                                                                  2/2
google-talkplugin                                                                                                   1/1
Warning: Environment Group gnome-desktop-environment does not exist.
Warning: Environment Group cinnamon-desktop-environment does not exist.
No packages marked for update


Steps to Reproduce:

See above

Actual results:

[...]
Warning: Environment Group gnome-desktop-environment does not exist.
Warning: Environment Group cinnamon-desktop-environment does not exist.
No packages marked for update

Expected results:

Should provide updates without Environment Group errors:

No packages marked for update

Additional info:
Comment 1 Rick Richardson 2013-08-17 15:54:21 EDT
Same here:

$ root yum update
Loaded plugins: langpacks, refresh-packagekit
Warning: Environment Group gnome-desktop-environment does not exist.
No packages marked for update
$ 

I want the warning message to "Go Away".
Comment 2 gcarter 2013-08-31 23:58:44 EDT
I corrected this problem by doing a mark and remove with yum:

yum group mark remove cinnamon-desktop-environment
yum group mark remove gnome-desktop-environment

Now I no longer get this warning.

So I will close out the ticket.

Note You need to log in before you can comment on or make changes to this bug.